psf2bbc(1)			   PSF Tools			    psf2bbc(1)



NAME
       psf2bbc - convert a PC Screen Font file to a BBC Micro soft font

SYNOPSIS
       psf2bbc	[--bank=BANK]  [--dest=DEST] [--height=HEIGHT] [--first=FIRST]
       [--last=LAST] [--nulls=COUNT] [INPUTFILE [OUTPUTFILE]]

DESCRIPTION
       psf2bbc converts a font in the .PSF format to a soft-font suitable  for
       use  with the BBC Micro or RISC OS. For best results the font should be
       at most 8 pixels by 8.

       On an original BBC, only a limited range of characters can be redefined
       at any one time, unless you first 'explode' the font with a sequence of
       *FX20 commands (*FX20,n where 1 <= n <= 6). On a	 Master	 or  a	system
       with a second processor, everything Just Works.


OPTIONS
       --first=x
	      The  first  character  to	 be  included  in  the soft font. This
	      defaults to 32, and cannot go below 32.

       --last=x
	      The last character  to  be  included  in	the  soft  font.  This
	      defaults to 255.

       --fx   Generates	 *FX20	commands  to make an original BBC Micro expand
	      its character ROM, and prepends them to the output file.

SEE ALSO
       bbc2psf(1)

AUTHOR
       John Elliott <jce@seasip.demon.co.uk>.




Version 1.0.7			11 April, 2008			    psf2bbc(1)
